From 5bc67906034cb44de23da9e25ca4c2381cfc6594 Mon Sep 17 00:00:00 2001
From: Newbyte <newbie13xd@gmail.com>
Date: Fri, 9 Sep 2022 12:36:08 +0200
Subject: [PATCH] Add StartupNotify to desktop file (#936)

GTK apps have built-in support for this, and it allows shells like
Phosh to show a splash screen while Foliate is starting.

Reference: https://developer-old.gnome.org/integration-guide/stable/startup-notification.html.en
---
 data/com.github.johnfactotum.Foliate.desktop.in | 1 +
 1 file changed, 1 insertion(+)

diff --git a/data/com.github.johnfactotum.Foliate.desktop.in b/data/com.github.johnfactotum.Foliate.desktop.in
index b4b6258a..68d7dd63 100644
--- a/data/com.github.johnfactotum.Foliate.desktop.in
+++ b/data/com.github.johnfactotum.Foliate.desktop.in
@@ -13,6 +13,7 @@ Keywords=Ebook;Book;EPUB;Viewer;Reader;
 Actions=new-window;
 # Translators: Do NOT translate or transliterate this text (these are enum types)!
 X-Purism-FormFactor=Workstation;Mobile;
+StartupNotify=true
 
 [Desktop Action new-window]
 Name=Library
